Subject: Austrlian Power
From: [email-masked]
To: [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Thu, 24 Feb 2000 05:51:00 -0800 (PST)

Just wanted to let you know that Australia is aiming for a March 20 launch.

1) Mark T/Debbie: Can you both confirm that you have reviewed and approved 
the Australian customer list? (Debbie - I think you may have reviewed the 
list, but I'm not sure if Mark has seen a copy yet)

2) Mark T: Final long descriptions should be available very shortly (next day 
or two?) Can you update me on what you have/have not seen and if you are 
happy with what has been covered so far? I believe you have been in contact 
with David Minns, so I am hopnig everything is in order.

3) Frank: Please coordinate with Debbie to ensure that we have input from all 
required depts. with regard to the customer list. 

Thanks,

Dave